package com.ruoyi.web.controller.qdtl;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.qdtl.domain.TlInspectionLineLocation;
import com.ruoyi.qdtl.service.ITlInspectionLineLocationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 巡检线路点位Controller
 *
 * @author ruoyi
 * @date 2022-03-03
 */
@RestController
@RequestMapping("/qdtl/lineLocation")
public class TlInspectionLineLocationController extends BaseController {
    @Autowired
    private ITlInspectionLineLocationService tlInspectionLineLocationService;

    /**
     * 查询巡检线路点位列表
     */
    @GetMapping("/list")
    public TableDataInfo list(TlInspectionLineLocation tlInspectionLineLocation) {
        startPage();
        List<TlInspectionLineLocation> list = tlInspectionLineLocationService.selectTlInspectionLineLocationList(tlInspectionLineLocation);
        return getDataTable(list);
    }

    /**
     * 导出巡检线路点位列表
     */
    @Log(title = "巡检线路点位", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, TlInspectionLineLocation tlInspectionLineLocation) {
        List<TlInspectionLineLocation> list = tlInspectionLineLocationService.selectTlInspectionLineLocationList(tlInspectionLineLocation);
        ExcelUtil<TlInspectionLineLocation> util = new ExcelUtil<TlInspectionLineLocation>(TlInspectionLineLocation.class);
        util.exportExcel(response, list, "巡检线路点位数据");
    }

    /**
     * 获取巡检线路点位详细信息
     */
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return AjaxResult.success(tlInspectionLineLocationService.selectTlInspectionLineLocationById(id));
    }

    /**
     * 新增巡检线路点位
     */
    @Log(title = "巡检线路点位", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody TlInspectionLineLocation tlInspectionLineLocation) {
        return toAjax(tlInspectionLineLocationService.insertTlInspectionLineLocation(tlInspectionLineLocation));
    }

    /**
     * 修改巡检线路点位
     */
    @Log(title = "巡检线路点位", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody TlInspectionLineLocation tlInspectionLineLocation) {
        return toAjax(tlInspectionLineLocationService.updateTlInspectionLineLocation(tlInspectionLineLocation));
    }

    /**
     * 删除巡检线路点位
     */
    @Log(title = "巡检线路点位", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(tlInspectionLineLocationService.deleteTlInspectionLineLocationByIds(ids));
    }
}
