package com.ruoyi.web.controller.qdtl;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.qdtl.domain.TlInspectionPlanUser;
import com.ruoyi.qdtl.service.ITlInspectionPlanUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 巡检计划人员关系Controller
 *
 * @author ruoyi
 * @date 2022-03-03
 */
@RestController
@RequestMapping("/qdtl/planUser")
public class TlInspectionPlanUserController extends BaseController {
    @Autowired
    private ITlInspectionPlanUserService tlInspectionPlanUserService;

    /**
     * 查询巡检计划人员关系列表
     */
    @GetMapping("/list")
    public TableDataInfo list(TlInspectionPlanUser tlInspectionPlanUser) {
        startPage();
        List<TlInspectionPlanUser> list = tlInspectionPlanUserService.selectTlInspectionPlanUserList(tlInspectionPlanUser);
        return getDataTable(list);
    }

    /**
     * 导出巡检计划人员关系列表
     */
    @Log(title = "巡检计划人员关系", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, TlInspectionPlanUser tlInspectionPlanUser) {
        List<TlInspectionPlanUser> list = tlInspectionPlanUserService.selectTlInspectionPlanUserList(tlInspectionPlanUser);
        ExcelUtil<TlInspectionPlanUser> util = new ExcelUtil<TlInspectionPlanUser>(TlInspectionPlanUser.class);
        util.exportExcel(response, list, "巡检计划人员关系数据");
    }

    /**
     * 获取巡检计划人员关系详细信息
     */
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return AjaxResult.success(tlInspectionPlanUserService.selectTlInspectionPlanUserById(id));
    }

    /**
     * 新增巡检计划人员关系
     */
    @Log(title = "巡检计划人员关系", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody TlInspectionPlanUser tlInspectionPlanUser) {
        return toAjax(tlInspectionPlanUserService.insertTlInspectionPlanUser(tlInspectionPlanUser));
    }

    /**
     * 修改巡检计划人员关系
     */
    @Log(title = "巡检计划人员关系", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody TlInspectionPlanUser tlInspectionPlanUser) {
        return toAjax(tlInspectionPlanUserService.updateTlInspectionPlanUser(tlInspectionPlanUser));
    }

    /**
     * 删除巡检计划人员关系
     */
    @Log(title = "巡检计划人员关系", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(tlInspectionPlanUserService.deleteTlInspectionPlanUserByIds(ids));
    }
}
