package com.ruoyi.qdtl.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 电动车定位设备对象 tl_electric_device
 *
 * @author ruoyi
 * @date 2022-06-03
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class TlElectricDevice extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 设备IMEI
     */
    private String imei;

    /**
     * 设备名称
     */
    @Excel(name = "设备名称")
    private String deviceName;

    /**
     * 设备型号
     */
    @Excel(name = "设备型号")
    private String mcType;

    /**
     * 机型使用范围(aotomobile:汽车 electromobile:电动车 personal:个人 pet:宠物 plane:飞机 others:其他)
     */
    @Excel(name = "机型使用范围(aotomobile:汽车 electromobile:电动车 personal:个人 pet:宠物 plane:飞机 others:其他)")
    private String mcTypeUseScope;

    /**
     * 设备类型（WIRED:有线 WIRELESS:无线）
     */
    @Excel(name = "设备类型", readConverterExp = "W=IRED:有线,W=IRELESS:无线")
    private String equipType;

    /**
     * Sim卡号
     */
    @Excel(name = "Sim卡号")
    private String sim;

    /**
     * 到期时间，格式yyyy-MM-dd HH:mm:ss
     */
    @Excel(name = "到期时间，格式yyyy-MM-dd HH:mm:ss")
    private String expiration;

    /**
     * 激活时间，格式yyyy-MM-dd HH:mm:ss
     */
    @Excel(name = "激活时间，格式yyyy-MM-dd HH:mm:ss")
    private String activationTime;

    /**
     * 车辆名称
     */
    @Excel(name = "车辆名称")
    private String vehicleName;

    /**
     * 车辆图标
     */
    @Excel(name = "车辆图标")
    private String vehicleIcon;

    /**
     * 车牌号
     */
    @Excel(name = "车牌号")
    private String vehicleNumber;

    /**
     * 车辆品牌
     */
    @Excel(name = "车辆品牌")
    private String vehicleModels;

    /**
     * 车架号
     */
    @Excel(name = "车架号")
    private String carFrame;

    /**
     * 司机名称
     */
    @Excel(name = "司机名称")
    private String driverName;

    /**
     * 司机电话
     */
    @Excel(name = "司机电话")
    private String driverPhone;

    /**
     * 是否启用（0：不启用；1：启用）
     */
    @Excel(name = "是否启用", readConverterExp = "0=：不启用；1：启用")
    private Integer enabledFlag;

    /**
     * 电机发动机号
     */
    @Excel(name = "电机发动机号")
    private String engineNumber;

    private String areaId;

}
