package com.ruoyi.qdtl.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 电动车定位设备轨迹对象 tl_electric_device_location
 *
 * @author ruoyi
 * @date 2022-06-03
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class TlElectricDeviceLocation extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 设备IMEI
     */
    @Excel(name = "设备IMEI")
    private String imei;

    /**
     * 设备名称
     */
    @Excel(name = "设备名称")
    private String deviceName;

    /**
     * 车辆图标
     */
    @Excel(name = "车辆图标")
    private String icon;

    /**
     * 设备状态 0,离线; 1,在线
     */
    @Excel(name = "设备状态 0,离线; 1,在线")
    private String status;

    /**
     * 经度 (如果设备过期，值为0)
     */
    @Excel(name = "经度 (如果设备过期，值为0)")
    private String lng;

    /**
     * 纬度 (如果设备过期，值为0)
     */
    @Excel(name = "纬度 (如果设备过期，值为0)")
    private String lat;

    /**
     * 是否过期1-未过期 0-过期
     */
    @Excel(name = "是否过期1-未过期 0-过期")
    private String expireFlag;

    /**
     * 是否激活1-激活 0-未激活
     */
    @Excel(name = "是否激活1-激活 0-未激活")
    private String activationFlag;

    /**
     * 卫星定位-GPS, 基站定位-LBS, WIFI定位-WIFI, 蓝牙定位-BEACON
     */
    @Excel(name = "卫星定位-GPS, 基站定位-LBS, WIFI定位-WIFI, 蓝牙定位-BEACON")
    private String posType;

    /**
     * GPS定位时间
     */
    @Excel(name = "GPS定位时间")
    private String gpsTime;

    /**
     * 心跳时间
     */
    @Excel(name = "心跳时间")
    private String hbTime;

    /**
     * 速度 (单位:km/h)
     */
    @Excel(name = "速度 (单位:km/h)")
    private String speed;

    /**
     * Acc状态 0:关闭 1:打开
     */
    @Excel(name = "Acc状态 0:关闭 1:打开")
    private String accStatus;

    /**
     * 设备电量（0-100），部分设备型号不支持
     */
    @Excel(name = "设备电量", readConverterExp = "0=-100")
    private String electQuantity;

    /**
     * 外电电压（0-100），部分设备支持
     */
    @Excel(name = "外电电压", readConverterExp = "0=-100")
    private String powerValue;

    /**
     * 参与定位卫星数
     */
    @Excel(name = "参与定位卫星数")
    private String gpsNum;

    /**
     * 移动的方向角度0~360
     */
    @Excel(name = "移动的方向角度0~360")
    private String direction;

    /**
     * 里程统计
     */
    @Excel(name = "里程统计")
    private String mileage;

    private String dayMileage;

}
