package com.ruoyi.qdtl.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 巡检事件管理对象 tl_incident
 *
 * @author ruoyi
 * @date 2022-08-09
 */
@Data
public class TlIncident extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 事件名称
     */
    @Excel(name = "事件名称", width = 20)
    private String name;

    /**
     * 事件描述
     */
    @Excel(name = "事件描述", width = 35)
    private String detail;

    /**
     * 事件等级
     */
    @Excel(name = "事件等级", dictType = "incident_level")
    private String incLevel;

    /**
     * 发生日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "发生日期", width = 25, dateFormat = "yyyy-MM-dd")
    private Date happenTime;

    /**
     * 图片
     */
    @Excel(name = "图片", cellType = Excel.ColumnType.IMAGE, height = 60, width = 25)
    private String pics;

    /**
     * 区域
     */
    @Excel(name = "区域", dictType = "tl_xun_area")
    private String area;

    /**
     * 我的位置
     */
    @Excel(name = "我的位置")
    private String address;

    /**
     * 接收人
     */
    private String acceptUser;

    /**
     * 接收人姓名
     */
    @Excel(name = "接收人姓名")
    private String acceptUserName;

    /**
     * 上报人姓名
     */
    @Excel(name = "上报人姓名")
    private String createByName;

    /**
     * 当前状态
     */
    @Excel(name = "当前状态", dictType = "incident_status")
    private String status;

    /**
     * 处理人
     */
    private String dealUser;

    /**
     * 处理人姓名
     */
    @Excel(name = "处理人姓名")
    private String dealUserName;

    private String dealRemark;

    private String dealPics;

    private String queryFlag;

    private String beginTime;

    private String endTime;

    private List<byte[]> images;

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getQueryFlag() {
        return queryFlag;
    }

    public void setQueryFlag(String queryFlag) {
        this.queryFlag = queryFlag;
    }

    public String getDealRemark() {
        return dealRemark;
    }

    public void setDealRemark(String dealRemark) {
        this.dealRemark = dealRemark;
    }

    public String getDealPics() {
        return dealPics;
    }

    public void setDealPics(String dealPics) {
        this.dealPics = dealPics;
    }

    /**
     * 处理时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "处理时间", width = 25, dateFormat = "yyyy-MM-dd")
    private Date dealTime;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    public String getDetail() {
        return detail;
    }

    public void setIncLevel(String incLevel) {
        this.incLevel = incLevel;
    }

    public String getIncLevel() {
        return incLevel;
    }

    public void setHappenTime(Date happenTime) {
        this.happenTime = happenTime;
    }

    public Date getHappenTime() {
        return happenTime;
    }

    public void setPics(String pics) {
        this.pics = pics;
    }

    public String getPics() {
        return pics;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getArea() {
        return area;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAddress() {
        return address;
    }

    public void setAcceptUser(String acceptUser) {
        this.acceptUser = acceptUser;
    }

    public String getAcceptUser() {
        return acceptUser;
    }

    public void setAcceptUserName(String acceptUserName) {
        this.acceptUserName = acceptUserName;
    }

    public String getAcceptUserName() {
        return acceptUserName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public void setDealUser(String dealUser) {
        this.dealUser = dealUser;
    }

    public String getDealUser() {
        return dealUser;
    }

    public void setDealUserName(String dealUserName) {
        this.dealUserName = dealUserName;
    }

    public String getDealUserName() {
        return dealUserName;
    }

    public void setDealTime(Date dealTime) {
        this.dealTime = dealTime;
    }

    public Date getDealTime() {
        return dealTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("name", getName())
                .append("detail", getDetail())
                .append("incLevel", getIncLevel())
                .append("happenTime", getHappenTime())
                .append("pics", getPics())
                .append("area", getArea())
                .append("address", getAddress())
                .append("acceptUser", getAcceptUser())
                .append("acceptUserName", getAcceptUserName())
                .append("createBy", getCreateBy())
                .append("createByName", getCreateByName())
                .append("status", getStatus())
                .append("dealUser", getDealUser())
                .append("dealUserName", getDealUserName())
                .append("dealTime", getDealTime())
                .toString();
    }
}
