package com.ruoyi.qdtl.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 应急故障事件管理对象 tl_incident_fault
 * 
 * @author ruoyi
 * @date 2022-08-09
 */
public class TlIncidentFault extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 事件名称 */
    @Excel(name = "事件名称")
    private String name;

    /** 事件内容 */
    @Excel(name = "事件内容")
    private String detail;

    /** 事件等级 */
    @Excel(name = "事件等级")
    private String incLevel;

    /** 事件类型 */
    @Excel(name = "事件类型")
    private String incType;

    /** 上报人 */
    @Excel(name = "上报人")
    private String uploadUser;

    /** 上报时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上报时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date happenTime;

    /** 图片 */
    @Excel(name = "图片")
    private String pics;

    /** 区域 */
    @Excel(name = "区域")
    private String area;

    /** 我的位置 */
    @Excel(name = "我的位置")
    private String address;

    /** 预案id */
    @Excel(name = "预案id")
    private String planId;

    /** 接收人 */
    @Excel(name = "接收人")
    private String acceptUser;

    /** 接收人姓名 */
    @Excel(name = "接收人姓名")
    private String acceptUserName;

    /** 当前状态 */
    @Excel(name = "当前状态")
    private String status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setDetail(String detail) 
    {
        this.detail = detail;
    }

    public String getDetail() 
    {
        return detail;
    }
    public void setIncLevel(String incLevel) 
    {
        this.incLevel = incLevel;
    }

    public String getIncLevel() 
    {
        return incLevel;
    }
    public void setIncType(String incType) 
    {
        this.incType = incType;
    }

    public String getIncType() 
    {
        return incType;
    }
    public void setUploadUser(String uploadUser) 
    {
        this.uploadUser = uploadUser;
    }

    public String getUploadUser() 
    {
        return uploadUser;
    }
    public void setHappenTime(Date happenTime) 
    {
        this.happenTime = happenTime;
    }

    public Date getHappenTime() 
    {
        return happenTime;
    }
    public void setPics(String pics) 
    {
        this.pics = pics;
    }

    public String getPics() 
    {
        return pics;
    }
    public void setArea(String area) 
    {
        this.area = area;
    }

    public String getArea() 
    {
        return area;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setPlanId(String planId) 
    {
        this.planId = planId;
    }

    public String getPlanId() 
    {
        return planId;
    }
    public void setAcceptUser(String acceptUser) 
    {
        this.acceptUser = acceptUser;
    }

    public String getAcceptUser() 
    {
        return acceptUser;
    }
    public void setAcceptUserName(String acceptUserName) 
    {
        this.acceptUserName = acceptUserName;
    }

    public String getAcceptUserName() 
    {
        return acceptUserName;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("detail", getDetail())
            .append("incLevel", getIncLevel())
            .append("incType", getIncType())
            .append("uploadUser", getUploadUser())
            .append("happenTime", getHappenTime())
            .append("pics", getPics())
            .append("area", getArea())
            .append("address", getAddress())
            .append("planId", getPlanId())
            .append("acceptUser", getAcceptUser())
            .append("acceptUserName", getAcceptUserName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("status", getStatus())
            .toString();
    }
}
