package com.ruoyi.qdtl.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * 巡检线路管理对象 tl_inspection_line
 * 
 * @author ruoyi
 * @date 2022-03-03
 */
public class TlInspectionLine extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 编号 */
    @Excel(name = "编号")
    private String lineCode;

    /** 名称 */
    @Excel(name = "名称")
    private String lineName;

    /** 描述 */
    @Excel(name = "描述")
    private String detail;

    /** 所属区域 */
    @Excel(name = "所属区域")
    private Long areaId;

    /** 是否需要拍照 */
    @Excel(name = "是否需要拍照")
    private String photo;

    /** 是否需要录音 */
    @Excel(name = "是否需要录音")
    private String voice;

    /** 是否需要视频 */
    @Excel(name = "是否需要视频")
    private String video;

    /** 是否需要附件文本 */
    @Excel(name = "是否需要附件文本")
    private String annex;

    @Excel(name = "巡检点数")
    private Integer lineLocationNum = 0;

    private List<TlInspectionLineLocation> lineLocations;

    private List<TlInspectionLocation> locations = new ArrayList<>();

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setLineCode(String lineCode) 
    {
        this.lineCode = lineCode;
    }

    public String getLineCode() 
    {
        return lineCode;
    }
    public void setLineName(String lineName) 
    {
        this.lineName = lineName;
    }

    public String getLineName() 
    {
        return lineName;
    }
    public void setDetail(String detail) 
    {
        this.detail = detail;
    }

    public String getDetail() 
    {
        return detail;
    }
    public void setAreaId(Long areaId) 
    {
        this.areaId = areaId;
    }

    public Long getAreaId() 
    {
        return areaId;
    }
    public void setPhoto(String photo) 
    {
        this.photo = photo;
    }

    public String getPhoto() 
    {
        return photo;
    }
    public void setVoice(String voice) 
    {
        this.voice = voice;
    }

    public String getVoice() 
    {
        return voice;
    }
    public void setVideo(String video) 
    {
        this.video = video;
    }

    public String getVideo() 
    {
        return video;
    }
    public void setAnnex(String annex) 
    {
        this.annex = annex;
    }

    public String getAnnex() 
    {
        return annex;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("lineCode", getLineCode())
            .append("lineName", getLineName())
            .append("detail", getDetail())
            .append("areaId", getAreaId())
            .append("remark", getRemark())
            .append("photo", getPhoto())
            .append("voice", getVoice())
            .append("video", getVideo())
            .append("annex", getAnnex())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }

    public Integer getLineLocationNum() {
        return lineLocationNum;
    }

    public void setLineLocationNum(Integer lineLocationNum) {
        this.lineLocationNum = lineLocationNum;
    }

    public List<TlInspectionLineLocation> getLineLocations() {
        return lineLocations;
    }

    public void setLineLocations(List<TlInspectionLineLocation> lineLocations) {
        this.lineLocations = lineLocations;
    }

    public List<TlInspectionLocation> getLocations() {
        return locations;
    }

    public void setLocations(List<TlInspectionLocation> locations) {
        this.locations = locations;
    }
}
