package com.ruoyi.qdtl.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.Set;

/**
 * 巡检记录管理对象 tl_inspection_location_log
 *
 * @author ruoyi
 * @date 2022-03-10
 */
public class TlInspectionLocationLog extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 巡检点id
     */
    private String checkpointId;

    /**
     * 巡检点名称
     */
    @Excel(name = "巡检点名称", width = 32)
    private String checkpointName;

    @Excel(name = "区域")
    private String areaName;

    /**
     * 巡检点卡号
     */
    @Excel(name = "巡检点卡号")
    private String checkpointCard;

    /**
     * 巡检员ID
     */
    private String patrolmanId;

    /**
     * 巡检员名称
     */
    @Excel(name = "巡检员名称")
    private String patrolmanName;

    /**
     * 巡检员卡号
     */
    @Excel(name = "巡检员卡号")
    private String patrolmanCard;

    /**
     * 巡检器id
     */
    private String deviceId;

    /**
     * 巡检器名称
     */
    @Excel(name = "巡检器名称")
    private String deviceName;

    /**
     * 巡检器卡号
     */
    @Excel(name = "巡检器卡号")
    private String deviceCode;

    /**
     * 组织ID(与巡检点所在的组织一致)
     */
    private String areaId;

    private Set<String> areaIds;

    /**
     * 经纬度
     */
    private String fence;

    private String beginTime;

    private String endTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "巡检时间", dateFormat = "yyyy-MM-dd HH:mm:ss", width = 20)
    private Date createTime;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCheckpointId(String checkpointId) {
        this.checkpointId = checkpointId;
    }

    public String getCheckpointId() {
        return checkpointId;
    }

    public void setCheckpointName(String checkpointName) {
        this.checkpointName = checkpointName;
    }

    public String getCheckpointName() {
        return checkpointName;
    }

    public void setCheckpointCard(String checkpointCard) {
        this.checkpointCard = checkpointCard;
    }

    public String getCheckpointCard() {
        return checkpointCard;
    }

    public void setPatrolmanId(String patrolmanId) {
        this.patrolmanId = patrolmanId;
    }

    public String getPatrolmanId() {
        return patrolmanId;
    }

    public void setPatrolmanName(String patrolmanName) {
        this.patrolmanName = patrolmanName;
    }

    public String getPatrolmanName() {
        return patrolmanName;
    }

    public void setPatrolmanCard(String patrolmanCard) {
        this.patrolmanCard = patrolmanCard;
    }

    public String getPatrolmanCard() {
        return patrolmanCard;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAreaName() {
        return areaName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("checkpointId", getCheckpointId())
                .append("checkpointName", getCheckpointName())
                .append("checkpointCard", getCheckpointCard())
                .append("patrolmanId", getPatrolmanId())
                .append("patrolmanName", getPatrolmanName())
                .append("patrolmanCard", getPatrolmanCard())
                .append("createTime", getCreateTime())
                .append("deviceId", getDeviceId())
                .append("deviceName", getDeviceName())
                .append("deviceCode", getDeviceCode())
                .append("areaId", getAreaId())
                .append("areaName", getAreaName())
                .append("fence", getFence())
                .toString();
    }

    public String getFence() {
        return fence;
    }

    public void setFence(String fence) {
        this.fence = fence;
    }

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Set<String> getAreaIds() {
        return areaIds;
    }

    public void setAreaIds(Set<String> areaIds) {
        this.areaIds = areaIds;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
