package com.ruoyi.qdtl.mapper;

import com.ruoyi.qdtl.domain.TlArea;

import java.util.List;

/**
 * 区域管理Mapper接口
 *
 * @author ruoyi
 * @date 2022-02-21
 */
public interface TlAreaMapper {
    /**
     * 查询区域管理
     *
     * @param id 区域管理主键
     * @return 区域管理
     */
    public TlArea selectTlAreaById(Long id);

    /**
     * 查询区域管理列表
     *
     * @param tlArea 区域管理
     * @return 区域管理集合
     */
    public List<TlArea> selectTlAreaList(TlArea tlArea);

    /**
     * 新增区域管理
     *
     * @param tlArea 区域管理
     * @return 结果
     */
    public int insertTlArea(TlArea tlArea);

    /**
     * 修改区域管理
     *
     * @param tlArea 区域管理
     * @return 结果
     */
    public int updateTlArea(TlArea tlArea);

    /**
     * 删除区域管理
     *
     * @param id 区域管理主键
     * @return 结果
     */
    public int deleteTlAreaById(Long id);

    /**
     * 批量删除区域管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTlAreaByIds(Long[] ids);

    int selectExist(TlArea tlArea);

    List<TlArea> selectAreaList();
    
}
