package com.ruoyi.qdtl.mapper;

import java.util.List;
import com.ruoyi.qdtl.domain.TlDocument;

/**
 * 公文管理Mapper接口
 * 
 * @author ruoyi
 * @date 2022-05-06
 */
public interface TlDocumentMapper 
{
    /**
     * 查询公文管理
     * 
     * @param id 公文管理主键
     * @return 公文管理
     */
    public TlDocument selectTlDocumentById(Long id);

    /**
     * 查询公文管理列表
     * 
     * @param tlDocument 公文管理
     * @return 公文管理集合
     */
    public List<TlDocument> selectTlDocumentList(TlDocument tlDocument);

    /**
     * 新增公文管理
     * 
     * @param tlDocument 公文管理
     * @return 结果
     */
    public int insertTlDocument(TlDocument tlDocument);

    /**
     * 修改公文管理
     * 
     * @param tlDocument 公文管理
     * @return 结果
     */
    public int updateTlDocument(TlDocument tlDocument);

    /**
     * 删除公文管理
     * 
     * @param id 公文管理主键
     * @return 结果
     */
    public int deleteTlDocumentById(Long id);

    /**
     * 批量删除公文管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTlDocumentByIds(Long[] ids);
}
