package com.ruoyi.qdtl.mapper;

import com.ruoyi.qdtl.domain.TlElectricCarMileage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 电动车里程统计（每日）Mapper接口
 *
 * @author ruoyi
 * @date 2022-07-04
 */
public interface TlElectricCarMileageMapper {
    /**
     * 查询电动车里程统计（每日）
     *
     * @param id 电动车里程统计（每日）主键
     * @return 电动车里程统计（每日）
     */
    public TlElectricCarMileage selectTlElectricCarMileageById(Long id);

    /**
     * 查询电动车里程统计（每日）列表
     *
     * @param tlElectricCarMileage 电动车里程统计（每日）
     * @return 电动车里程统计（每日）集合
     */
    public List<TlElectricCarMileage> selectTlElectricCarMileageList(TlElectricCarMileage tlElectricCarMileage);

    /**
     * 新增电动车里程统计（每日）
     *
     * @param tlElectricCarMileage 电动车里程统计（每日）
     * @return 结果
     */
    public int insertTlElectricCarMileage(TlElectricCarMileage tlElectricCarMileage);

    /**
     * 修改电动车里程统计（每日）
     *
     * @param tlElectricCarMileage 电动车里程统计（每日）
     * @return 结果
     */
    public int updateTlElectricCarMileage(TlElectricCarMileage tlElectricCarMileage);

    /**
     * 删除电动车里程统计（每日）
     *
     * @param id 电动车里程统计（每日）主键
     * @return 结果
     */
    public int deleteTlElectricCarMileageById(Long id);

    /**
     * 批量删除电动车里程统计（每日）
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTlElectricCarMileageByIds(Long[] ids);

    List<TlElectricCarMileage> queryPeriodDate(@Param("startDate") String startDate, @Param("endDate") String endDate);
}
