package com.ruoyi.qdtl.mapper;

import com.ruoyi.qdtl.domain.ElectricDeviceLocationRecord;
import com.ruoyi.qdtl.domain.TlElectricDeviceLocation;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 电动车定位设备轨迹Mapper接口
 *
 * @author ruoyi
 * @date 2022-06-03
 */
public interface TlElectricDeviceLocationMapper {
    /**
     * 查询电动车定位设备轨迹
     *
     * @param id 电动车定位设备轨迹主键
     * @return 电动车定位设备轨迹
     */
    public TlElectricDeviceLocation selectTlElectricDeviceLocationById(Long id);

    /**
     * 查询电动车定位设备轨迹列表
     *
     * @param tlElectricDeviceLocation 电动车定位设备轨迹
     * @return 电动车定位设备轨迹集合
     */
    public List<TlElectricDeviceLocation> selectTlElectricDeviceLocationList(TlElectricDeviceLocation tlElectricDeviceLocation);

    /**
     * 新增电动车定位设备轨迹
     *
     * @param tlElectricDeviceLocation 电动车定位设备轨迹
     * @return 结果
     */
    public int insertTlElectricDeviceLocation(TlElectricDeviceLocation tlElectricDeviceLocation);

    /**
     * 删除电动车定位设备轨迹
     *
     * @param id 电动车定位设备轨迹主键
     * @return 结果
     */
    public int deleteTlElectricDeviceLocationById(Long id);

    /**
     * 批量删除电动车定位设备轨迹
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTlElectricDeviceLocationByIds(Long[] ids);

    void saveBatch(List<TlElectricDeviceLocation> electricCarsDeviceLocationList);

    List<TlElectricDeviceLocation> queryListByDate(@Param("today") String today);

    List<TlElectricDeviceLocation> queryMaxNewDevice();

    List<ElectricDeviceLocationRecord> queryLocationRecord(@Param("startDate") String startDate, @Param("endDate") String endDate, @Param("areaName") String areaName, @Param("imei") String imei);

    List<TlElectricDeviceLocation> getSingleElectricLocation(@Param("startDate") String startDate, @Param("endDate") String endDate, @Param("imei") String imei);
}
