package com.ruoyi.qdtl.mapper;

import com.ruoyi.qdtl.domain.TlElectricDevice;

import java.util.List;

/**
 * 电动车定位设备Mapper接口
 *
 * @author ruoyi
 * @date 2022-06-03
 */
public interface TlElectricDeviceMapper {
    /**
     * 查询电动车定位设备
     *
     * @param imei 电动车定位设备主键
     * @return 电动车定位设备
     */
    public TlElectricDevice selectTlElectricDeviceByImei(String imei);

    /**
     * 查询电动车定位设备列表
     *
     * @param tlElectricDevice 电动车定位设备
     * @return 电动车定位设备集合
     */
    public List<TlElectricDevice> selectTlElectricDeviceList(TlElectricDevice tlElectricDevice);

    /**
     * 新增电动车定位设备
     *
     * @param tlElectricDevice 电动车定位设备
     * @return 结果
     */
    public int insertTlElectricDevice(TlElectricDevice tlElectricDevice);

    /**
     * 修改电动车定位设备
     *
     * @param tlElectricDevice 电动车定位设备
     * @return 结果
     */
    public int updateTlElectricDevice(TlElectricDevice tlElectricDevice);

    /**
     * 删除电动车定位设备
     *
     * @param imei 电动车定位设备主键
     * @return 结果
     */
    public int deleteTlElectricDeviceByImei(String imei);

    /**
     * 批量删除电动车定位设备
     *
     * @param imeis 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTlElectricDeviceByImeis(String[] imeis);

    List<TlElectricDevice> queryAllEnableList();
}
