package com.ruoyi.qdtl.mapper;

import com.alibaba.fastjson.JSONObject;
import com.ruoyi.qdtl.domain.TlInspectionDevice;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 巡检设备管理Mapper接口
 *
 * @author ruoyi
 * @date 2022-02-22
 */
public interface TlInspectionDeviceMapper {
    /**
     * 查询巡检设备管理
     *
     * @param id 巡检设备管理主键
     * @return 巡检设备管理
     */
    public TlInspectionDevice selectTlInspectionDeviceById(Long id);

    /**
     * 查询巡检设备管理列表
     *
     * @param tlInspectionDevice 巡检设备管理
     * @return 巡检设备管理集合
     */
    public List<TlInspectionDevice> selectTlInspectionDeviceList(TlInspectionDevice tlInspectionDevice);

    /**
     * 新增巡检设备管理
     *
     * @param tlInspectionDevice 巡检设备管理
     * @return 结果
     */
    public int insertTlInspectionDevice(TlInspectionDevice tlInspectionDevice);

    /**
     * 修改巡检设备管理
     *
     * @param tlInspectionDevice 巡检设备管理
     * @return 结果
     */
    public int updateTlInspectionDevice(TlInspectionDevice tlInspectionDevice);

    /**
     * 删除巡检设备管理
     *
     * @param id 巡检设备管理主键
     * @return 结果
     */
    public int deleteTlInspectionDeviceById(Long id);

    /**
     * 批量删除巡检设备管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTlInspectionDeviceByIds(Long[] ids);

    int selectExist(TlInspectionDevice tlInspectionDevice);

    List<JSONObject> queryDeviceByArea();

    TlInspectionDevice queryByThirdId(@Param("thirdId") String thirdId);

    void deleteLocationByVersion(@Param("version") int version);

    int queryMaxVsersion();
}
