package com.ruoyi.qdtl.mapper;

import com.ruoyi.qdtl.domain.TlInspectionLineLocation;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 巡检线路点位Mapper接口
 *
 * @author ruoyi
 * @date 2022-03-03
 */
public interface TlInspectionLineLocationMapper {
    /**
     * 查询巡检线路点位
     *
     * @param id 巡检线路点位主键
     * @return 巡检线路点位
     */
    public TlInspectionLineLocation selectTlInspectionLineLocationById(Long id);

    /**
     * 查询巡检线路点位列表
     *
     * @param tlInspectionLineLocation 巡检线路点位
     * @return 巡检线路点位集合
     */
    public List<TlInspectionLineLocation> selectTlInspectionLineLocationList(TlInspectionLineLocation tlInspectionLineLocation);

    /**
     * 新增巡检线路点位
     *
     * @param tlInspectionLineLocation 巡检线路点位
     * @return 结果
     */
    public int insertTlInspectionLineLocation(TlInspectionLineLocation tlInspectionLineLocation);

    /**
     * 修改巡检线路点位
     *
     * @param tlInspectionLineLocation 巡检线路点位
     * @return 结果
     */
    public int updateTlInspectionLineLocation(TlInspectionLineLocation tlInspectionLineLocation);

    /**
     * 删除巡检线路点位
     *
     * @param id 巡检线路点位主键
     * @return 结果
     */
    public int deleteTlInspectionLineLocationById(Long id);

    /**
     * 批量删除巡检线路点位
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTlInspectionLineLocationByIds(Long[] ids);

    void batchInsert(List<TlInspectionLineLocation> lineLocations);

    void deleteLineLocation(@Param("lineId") Long lineId);

    List<Long> queryLocationId(@Param("lineId") Long lineId);
}
