package com.ruoyi.qdtl.mapper;

import com.ruoyi.qdtl.domain.TlInspectionLocationLog;
import com.ruoyi.qdtl.domain.UserCheckPoint;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * 巡检记录管理Mapper接口
 *
 * @author ruoyi
 * @date 2022-03-10
 */
public interface TlInspectionLocationLogMapper {
    /**
     * 查询巡检记录管理
     *
     * @param id 巡检记录管理主键
     * @return 巡检记录管理
     */
    public TlInspectionLocationLog selectTlInspectionLocationLogById(Long id);

    /**
     * 查询巡检记录管理列表
     *
     * @param tlInspectionLocationLog 巡检记录管理
     * @return 巡检记录管理集合
     */
    public List<TlInspectionLocationLog> selectTlInspectionLocationLogList(TlInspectionLocationLog tlInspectionLocationLog);

    List<TlInspectionLocationLog> selectTlInspectionLocationLogTrailList(TlInspectionLocationLog tlInspectionLocationLog);

    /**
     * 新增巡检记录管理
     *
     * @param tlInspectionLocationLog 巡检记录管理
     * @return 结果
     */
    public int insertTlInspectionLocationLog(TlInspectionLocationLog tlInspectionLocationLog);

    /**
     * 修改巡检记录管理
     *
     * @param tlInspectionLocationLog 巡检记录管理
     * @return 结果
     */
    public int updateTlInspectionLocationLog(TlInspectionLocationLog tlInspectionLocationLog);

    /**
     * 删除巡检记录管理
     *
     * @param id 巡检记录管理主键
     * @return 结果
     */
    public int deleteTlInspectionLocationLogById(Long id);

    /**
     * 批量删除巡检记录管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTlInspectionLocationLogByIds(Long[] ids);

    Date queryMaxDate();

    List<TlInspectionLocationLog> queryByCondition(@Param("date") String date, @Param("checkpointCard") String checkpointCard, @Param("deviceId") String deviceId);

    List<UserCheckPoint> queryUserGroup();

    List<TlInspectionLocationLog> selectListByDate(@Param("date") String date);

    List<TlInspectionLocationLog> queryDistanceByDateRange(@Param("areaName") String areaName, @Param("startDate") String startDate, @Param("endDate") String endDate);
}
