package com.ruoyi.qdtl.mapper;

import com.alibaba.fastjson.JSONObject;
import com.ruoyi.qdtl.domain.TlInspectionLocation;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * 巡检点管理Mapper接口
 *
 * @author ruoyi
 * @date 2022-02-22
 */
public interface TlInspectionLocationMapper {
    /**
     * 查询巡检点管理
     *
     * @param id 巡检点管理主键
     * @return 巡检点管理
     */
    public TlInspectionLocation selectTlInspectionLocationById(Long id);

    /**
     * 查询巡检点管理列表
     *
     * @param tlInspectionLocation 巡检点管理
     * @return 巡检点管理集合
     */
    public List<TlInspectionLocation> selectTlInspectionLocationList(TlInspectionLocation tlInspectionLocation);

    /**
     * 新增巡检点管理
     *
     * @param tlInspectionLocation 巡检点管理
     * @return 结果
     */
    public int insertTlInspectionLocation(TlInspectionLocation tlInspectionLocation);

    /**
     * 修改巡检点管理
     *
     * @param tlInspectionLocation 巡检点管理
     * @return 结果
     */
    public int updateTlInspectionLocation(TlInspectionLocation tlInspectionLocation);

    /**
     * 删除巡检点管理
     *
     * @param id 巡检点管理主键
     * @return 结果
     */
    public int deleteTlInspectionLocationById(Long id);

    /**
     * 批量删除巡检点管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTlInspectionLocationByIds(Long[] ids);

    int selectExist(TlInspectionLocation tlInspectionLocation);

    List<JSONObject> queryLocationByArea();

    List<TlInspectionLocation> queryLocationByLineIds(List<Long> idCollect);

    List<TlInspectionLocation> selectLocationList(TlInspectionLocation tlInspectionLocation);

    TlInspectionLocation queryByThirdId(String thirdId);

    int queryMaxVsersion();

    void deleteLocationByVersion(@Param("version") int version);

    List<TlInspectionLocation> queryLocationByLineId(@Param("lineId") Long lineId);

    List<String> queryLocationByLocationIds(@Param("locations") Collection<Long> locations);
}
