package com.ruoyi.qdtl.mapper;

import com.ruoyi.qdtl.domain.PlanUser;
import com.ruoyi.qdtl.domain.TlInspectionPlan;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 巡检计划管理Mapper接口
 *
 * @author ruoyi
 * @date 2022-03-03
 */
public interface TlInspectionPlanMapper {
    /**
     * 查询巡检计划管理
     *
     * @param id 巡检计划管理主键
     * @return 巡检计划管理
     */
    public TlInspectionPlan selectTlInspectionPlanById(Long id);

    /**
     * 查询巡检计划管理列表
     *
     * @param tlInspectionPlan 巡检计划管理
     * @return 巡检计划管理集合
     */
    public List<TlInspectionPlan> selectTlInspectionPlanList(TlInspectionPlan tlInspectionPlan);

    /**
     * 新增巡检计划管理
     *
     * @param tlInspectionPlan 巡检计划管理
     * @return 结果
     */
    public int insertTlInspectionPlan(TlInspectionPlan tlInspectionPlan);

    /**
     * 修改巡检计划管理
     *
     * @param tlInspectionPlan 巡检计划管理
     * @return 结果
     */
    public int updateTlInspectionPlan(TlInspectionPlan tlInspectionPlan);

    /**
     * 删除巡检计划管理
     *
     * @param id 巡检计划管理主键
     * @return 结果
     */
    public int deleteTlInspectionPlanById(Long id);

    /**
     * 批量删除巡检计划管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTlInspectionPlanByIds(Long[] ids);

    List<TlInspectionPlan> queryPlanByDate(@Param("queryDate") String queryDate);

    List<PlanUser> queryPlanUser(@Param("id") Long id);

    List<TlInspectionPlan> queryPlanUserExcludeId(@Param("card") String card, @Param("excludePlanId") Long excludePlanId);

    List<TlInspectionPlan> queryByDatePeriod(@Param("startDate") String startDate, @Param("endDate") String endDate);
}
