package com.ruoyi.qdtl.mapper;

import com.ruoyi.qdtl.domain.TlPlanRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 巡检计划记录Mapper接口
 *
 * @author ruoyi
 * @date 2022-03-30
 */
public interface TlPlanRecordMapper {
    /**
     * 查询巡检计划记录
     *
     * @param id 巡检计划记录主键
     * @return 巡检计划记录
     */
    public TlPlanRecord selectTlPlanRecordById(Long id);

    /**
     * 查询巡检计划记录列表
     *
     * @param tlPlanRecord 巡检计划记录
     * @return 巡检计划记录集合
     */
    public List<TlPlanRecord> selectTlPlanRecordList(TlPlanRecord tlPlanRecord);

    /**
     * 新增巡检计划记录
     *
     * @param tlPlanRecord 巡检计划记录
     * @return 结果
     */
    public int insertTlPlanRecord(TlPlanRecord tlPlanRecord);

    /**
     * 修改巡检计划记录
     *
     * @param tlPlanRecord 巡检计划记录
     * @return 结果
     */
    public int updateTlPlanRecord(TlPlanRecord tlPlanRecord);

    /**
     * 删除巡检计划记录
     *
     * @param id 巡检计划记录主键
     * @return 结果
     */
    public int deleteTlPlanRecordById(Long id);

    /**
     * 批量删除巡检计划记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTlPlanRecordByIds(Long[] ids);

    void batchInsert(@Param("list") List<TlPlanRecord> planRecords);

    void updateRecordByDateAndCard(TlPlanRecord tlPlanRecord);

    List<TlPlanRecord> selectTlPlanRecordListByDate(@Param("date") String date);

    List<TlPlanRecord> selectTlPlanRecordListByDatePeriod(@Param("areaId") Long areaId, @Param("startDate") String startDate, @Param("endDate") String endDate);
}
