package com.ruoyi.qdtl.service;

import com.ruoyi.qdtl.domain.TlArea;

import java.util.List;

/**
 * 区域管理Service接口
 *
 * @author ruoyi
 * @date 2022-02-21
 */
public interface ITlAreaService {
    /**
     * 查询区域管理
     *
     * @param id 区域管理主键
     * @return 区域管理
     */
    public TlArea selectTlAreaById(Long id);

    /**
     * 查询区域管理列表
     *
     * @param tlArea 区域管理
     * @return 区域管理集合
     */
    public List<TlArea> selectTlAreaList(TlArea tlArea);

    /**
     * 新增区域管理
     *
     * @param tlArea 区域管理
     * @return 结果
     */
    public int insertTlArea(TlArea tlArea);

    /**
     * 修改区域管理
     *
     * @param tlArea 区域管理
     * @return 结果
     */
    public int updateTlArea(TlArea tlArea);

    /**
     * 批量删除区域管理
     *
     * @param ids 需要删除的区域管理主键集合
     * @return 结果
     */
    public int deleteTlAreaByIds(Long[] ids);

    /**
     * 删除区域管理信息
     *
     * @param id 区域管理主键
     * @return 结果
     */
    public int deleteTlAreaById(Long id);

    List<TlArea> selectAreaList();
}
