package com.ruoyi.qdtl.service;

import com.ruoyi.qdtl.domain.TlDocument;

import java.util.List;

/**
 * 公文管理Service接口
 *
 * @author ruoyi
 * @date 2022-05-06
 */
public interface ITlDocumentService {
    /**
     * 查询公文管理
     *
     * @param id 公文管理主键
     * @return 公文管理
     */
    public TlDocument selectTlDocumentById(Long id);

    /**
     * 查询公文管理列表
     *
     * @param tlDocument 公文管理
     * @return 公文管理集合
     */
    public List<TlDocument> selectTlDocumentList(TlDocument tlDocument);

    /**
     * 新增公文管理
     *
     * @param tlDocument 公文管理
     * @return 结果
     */
    public Long insertTlDocument(TlDocument tlDocument);

    /**
     * 修改公文管理
     *
     * @param tlDocument 公文管理
     * @return 结果
     */
    public int updateTlDocument(TlDocument tlDocument);

    /**
     * 批量删除公文管理
     *
     * @param ids 需要删除的公文管理主键集合
     * @return 结果
     */
    public int deleteTlDocumentByIds(Long[] ids);

    /**
     * 删除公文管理信息
     *
     * @param id 公文管理主键
     * @return 结果
     */
    public int deleteTlDocumentById(Long id);
}
