package com.ruoyi.qdtl.service;

import com.ruoyi.qdtl.domain.ElectricDeviceLocationRecord;
import com.ruoyi.qdtl.domain.TlElectricDeviceLocation;

import java.util.List;
import java.util.Map;

/**
 * 电动车定位设备轨迹Service接口
 *
 * @author ruoyi
 * @date 2022-06-03
 */
public interface ITlElectricDeviceLocationService {
    /**
     * 查询电动车定位设备轨迹
     *
     * @param id 电动车定位设备轨迹主键
     * @return 电动车定位设备轨迹
     */
    public TlElectricDeviceLocation selectTlElectricDeviceLocationById(Long id);

    /**
     * 查询电动车定位设备轨迹列表
     *
     * @param tlElectricDeviceLocation 电动车定位设备轨迹
     * @return 电动车定位设备轨迹集合
     */
    public List<TlElectricDeviceLocation> selectTlElectricDeviceLocationList(TlElectricDeviceLocation tlElectricDeviceLocation);

    /**
     * 新增电动车定位设备轨迹
     *
     * @param tlElectricDeviceLocation 电动车定位设备轨迹
     * @return 结果
     */
    public int insertTlElectricDeviceLocation(TlElectricDeviceLocation tlElectricDeviceLocation);

    /**
     * 批量删除电动车定位设备轨迹
     *
     * @param ids 需要删除的电动车定位设备轨迹主键集合
     * @return 结果
     */
    public int deleteTlElectricDeviceLocationByIds(Long[] ids);

    /**
     * 删除电动车定位设备轨迹信息
     *
     * @param id 电动车定位设备轨迹主键
     * @return 结果
     */
    public int deleteTlElectricDeviceLocationById(Long id);

    /**
     * 同步设备最新位置数据
     *
     * @return
     */
    void syncDeviceLocation();

    List<TlElectricDeviceLocation> queryListByDate(String today);

    Map<String, Object> getAllElectricDetail();

    List<ElectricDeviceLocationRecord> queryLocationRecord(String startDate, String endDate, String areaName, String imei);

    List<TlElectricDeviceLocation> getSingleElectricLocation(String startDate, String endDate, String imei);
}
