package com.ruoyi.qdtl.service;

import com.ruoyi.qdtl.domain.ElectricCarArea;
import com.ruoyi.qdtl.domain.TlElectricDevice;

import java.util.List;

/**
 * 电动车定位设备Service接口
 *
 * @author ruoyi
 * @date 2022-06-03
 */
public interface ITlElectricDeviceService {
    /**
     * 查询电动车定位设备
     *
     * @param imei 电动车定位设备主键
     * @return 电动车定位设备
     */
    public TlElectricDevice selectTlElectricDeviceByImei(String imei);

    /**
     * 查询电动车定位设备列表
     *
     * @param tlElectricDevice 电动车定位设备
     * @return 电动车定位设备集合
     */
    public List<TlElectricDevice> selectTlElectricDeviceList(TlElectricDevice tlElectricDevice);

    /**
     * 新增电动车定位设备
     *
     * @param tlElectricDevice 电动车定位设备
     * @return 结果
     */
    public int insertTlElectricDevice(TlElectricDevice tlElectricDevice);

    /**
     * 修改电动车定位设备
     *
     * @param tlElectricDevice 电动车定位设备
     * @return 结果
     */
    public int updateTlElectricDevice(TlElectricDevice tlElectricDevice);

    /**
     * 批量删除电动车定位设备
     *
     * @param imeis 需要删除的电动车定位设备主键集合
     * @return 结果
     */
    public int deleteTlElectricDeviceByImeis(String[] imeis);

    /**
     * 删除电动车定位设备信息
     *
     * @param imei 电动车定位设备主键
     * @return 结果
     */
    public int deleteTlElectricDeviceByImei(String imei);

    /**
     * 同步第三方设备数据到本地
     *
     * @return
     */
    String syncDevice();

    List<TlElectricDevice> queryAllEnableList();

    List<ElectricCarArea> queryCarStaticByArea();
}
