package com.ruoyi.qdtl.service;

import com.ruoyi.qdtl.domain.TlInspectionDevice;

import java.util.List;
import java.util.Map;

/**
 * 巡检设备管理Service接口
 *
 * @author ruoyi
 * @date 2022-02-22
 */
public interface ITlInspectionDeviceService {
    /**
     * 查询巡检设备管理
     *
     * @param id 巡检设备管理主键
     * @return 巡检设备管理
     */
    public TlInspectionDevice selectTlInspectionDeviceById(Long id);

    /**
     * 查询巡检设备管理列表
     *
     * @param tlInspectionDevice 巡检设备管理
     * @return 巡检设备管理集合
     */
    public List<TlInspectionDevice> selectTlInspectionDeviceList(TlInspectionDevice tlInspectionDevice);

    /**
     * 新增巡检设备管理
     *
     * @param tlInspectionDevice 巡检设备管理
     * @return 结果
     */
    public int insertTlInspectionDevice(TlInspectionDevice tlInspectionDevice);

    /**
     * 修改巡检设备管理
     *
     * @param tlInspectionDevice 巡检设备管理
     * @return 结果
     */
    public int updateTlInspectionDevice(TlInspectionDevice tlInspectionDevice);

    /**
     * 批量删除巡检设备管理
     *
     * @param ids 需要删除的巡检设备管理主键集合
     * @return 结果
     */
    public int deleteTlInspectionDeviceByIds(Long[] ids);

    /**
     * 删除巡检设备管理信息
     *
     * @param id 巡检设备管理主键
     * @return 结果
     */
    public int deleteTlInspectionDeviceById(Long id);

    Map<String, Integer> queryDeviceByArea();

    TlInspectionDevice queryByThirdId(String thirdId);

    void deleteLocationByVersion(int version);

    int queryMaxVsersion();
    
}
