package com.ruoyi.qdtl.service;

import com.ruoyi.qdtl.domain.TlInspectionLineLocation;

import java.util.List;

/**
 * 巡检线路点位Service接口
 *
 * @author ruoyi
 * @date 2022-03-03
 */
public interface ITlInspectionLineLocationService {
    /**
     * 查询巡检线路点位
     *
     * @param id 巡检线路点位主键
     * @return 巡检线路点位
     */
    public TlInspectionLineLocation selectTlInspectionLineLocationById(Long id);

    /**
     * 查询巡检线路点位列表
     *
     * @param tlInspectionLineLocation 巡检线路点位
     * @return 巡检线路点位集合
     */
    public List<TlInspectionLineLocation> selectTlInspectionLineLocationList(TlInspectionLineLocation tlInspectionLineLocation);

    /**
     * 新增巡检线路点位
     *
     * @param tlInspectionLineLocation 巡检线路点位
     * @return 结果
     */
    public int insertTlInspectionLineLocation(TlInspectionLineLocation tlInspectionLineLocation);

    /**
     * 修改巡检线路点位
     *
     * @param tlInspectionLineLocation 巡检线路点位
     * @return 结果
     */
    public int updateTlInspectionLineLocation(TlInspectionLineLocation tlInspectionLineLocation);

    /**
     * 批量删除巡检线路点位
     *
     * @param ids 需要删除的巡检线路点位主键集合
     * @return 结果
     */
    public int deleteTlInspectionLineLocationByIds(Long[] ids);

    /**
     * 删除巡检线路点位信息
     *
     * @param id 巡检线路点位主键
     * @return 结果
     */
    public int deleteTlInspectionLineLocationById(Long id);

    void batchInsert(List<TlInspectionLineLocation> lineLocations);

    void deleteLineLocation(Long lineId);

    List<Long> queryLocationId(Long lineId);
    
}
