package com.ruoyi.qdtl.service;

import java.util.List;
import com.ruoyi.qdtl.domain.TlInspectionLine;

/**
 * 巡检线路管理Service接口
 * 
 * @author ruoyi
 * @date 2022-03-03
 */
public interface ITlInspectionLineService 
{
    /**
     * 查询巡检线路管理
     * 
     * @param id 巡检线路管理主键
     * @return 巡检线路管理
     */
    public TlInspectionLine selectTlInspectionLineById(Long id);

    /**
     * 查询巡检线路管理列表
     * 
     * @param tlInspectionLine 巡检线路管理
     * @return 巡检线路管理集合
     */
    public List<TlInspectionLine> selectTlInspectionLineList(TlInspectionLine tlInspectionLine);

    /**
     * 新增巡检线路管理
     * 
     * @param tlInspectionLine 巡检线路管理
     * @return 结果
     */
    public int insertTlInspectionLine(TlInspectionLine tlInspectionLine);

    /**
     * 修改巡检线路管理
     * 
     * @param tlInspectionLine 巡检线路管理
     * @return 结果
     */
    public int updateTlInspectionLine(TlInspectionLine tlInspectionLine);

    /**
     * 批量删除巡检线路管理
     * 
     * @param ids 需要删除的巡检线路管理主键集合
     * @return 结果
     */
    public int deleteTlInspectionLineByIds(Long[] ids);

    /**
     * 删除巡检线路管理信息
     * 
     * @param id 巡检线路管理主键
     * @return 结果
     */
    public int deleteTlInspectionLineById(Long id);
}
