package com.ruoyi.qdtl.service;

import cn.hutool.json.JSONObject;
import com.ruoyi.qdtl.domain.TlInspectionLocationLog;
import com.ruoyi.qdtl.domain.UserCheckPoint;

import java.util.Date;
import java.util.List;

/**
 * 巡检记录管理Service接口
 *
 * @author ruoyi
 * @date 2022-03-10
 */
public interface ITlInspectionLocationLogService {
    /**
     * 查询巡检记录管理
     *
     * @param id 巡检记录管理主键
     * @return 巡检记录管理
     */
    public TlInspectionLocationLog selectTlInspectionLocationLogById(Long id);

    /**
     * 查询巡检记录管理列表
     *
     * @param tlInspectionLocationLog 巡检记录管理
     * @return 巡检记录管理集合
     */
    List<TlInspectionLocationLog> selectTlInspectionLocationLogList(TlInspectionLocationLog tlInspectionLocationLog);

    List<TlInspectionLocationLog> selectTlInspectionLocationLogTrailList(TlInspectionLocationLog tlInspectionLocationLog);

    /**
     * 新增巡检记录管理
     *
     * @param tlInspectionLocationLog 巡检记录管理
     * @return 结果
     */
    public int insertTlInspectionLocationLog(TlInspectionLocationLog tlInspectionLocationLog);

    /**
     * 修改巡检记录管理
     *
     * @param tlInspectionLocationLog 巡检记录管理
     * @return 结果
     */
    public int updateTlInspectionLocationLog(TlInspectionLocationLog tlInspectionLocationLog);

    /**
     * 批量删除巡检记录管理
     *
     * @param ids 需要删除的巡检记录管理主键集合
     * @return 结果
     */
    public int deleteTlInspectionLocationLogByIds(Long[] ids);

    /**
     * 删除巡检记录管理信息
     *
     * @param id 巡检记录管理主键
     * @return 结果
     */
    public int deleteTlInspectionLocationLogById(Long id);

    Date queryMaxDate();

    List<TlInspectionLocationLog> queryByCondition(String date, String checkpointCard, String deviceId);

    List<UserCheckPoint> queryUserGroup();

    List<TlInspectionLocationLog> selectListByDate(String date);

    /**
     * 查询巡检里程数
     *
     * @param date     日期
     * @param deviceId 设备id
     * @return
     */
    double queryDistance(String date, String deviceId);

    List<JSONObject> queryDistanceByDateRange(String startDate, String endDate);
}
