package com.ruoyi.qdtl.service;

import com.ruoyi.qdtl.domain.TlInspectionLocation;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 巡检点管理Service接口
 *
 * @author ruoyi
 * @date 2022-02-22
 */
public interface ITlInspectionLocationService {
    /**
     * 查询巡检点管理
     *
     * @param id 巡检点管理主键
     * @return 巡检点管理
     */
    public TlInspectionLocation selectTlInspectionLocationById(Long id);

    /**
     * 查询巡检点管理列表
     *
     * @param tlInspectionLocation 巡检点管理
     * @return 巡检点管理集合
     */
    public List<TlInspectionLocation> selectTlInspectionLocationList(TlInspectionLocation tlInspectionLocation);

    /**
     * 新增巡检点管理
     *
     * @param tlInspectionLocation 巡检点管理
     * @return 结果
     */
    public int insertTlInspectionLocation(TlInspectionLocation tlInspectionLocation);

    /**
     * 修改巡检点管理
     *
     * @param tlInspectionLocation 巡检点管理
     * @return 结果
     */
    public int updateTlInspectionLocation(TlInspectionLocation tlInspectionLocation);

    /**
     * 批量删除巡检点管理
     *
     * @param ids 需要删除的巡检点管理主键集合
     * @return 结果
     */
    public int deleteTlInspectionLocationByIds(Long[] ids);

    /**
     * 删除巡检点管理信息
     *
     * @param id 巡检点管理主键
     * @return 结果
     */
    public int deleteTlInspectionLocationById(Long id);

    Map<String, Integer> queryLocationByArea();

    List<TlInspectionLocation> queryLocationByLineIds(List<Long> idCollect);

    List<TlInspectionLocation> selectLocationList(TlInspectionLocation tlInspectionLocation);

    TlInspectionLocation queryByThirdId(String thirdId);

    int queryMaxVsersion();

    void deleteLocationByVersion(int version);

    List<TlInspectionLocation> queryLocationByLineId(Long lineId);

    List<String> queryLocationByLocationIds(Collection<Long> locations);
}
