package com.ruoyi.qdtl.service;

import com.ruoyi.qdtl.domain.PlanSchedule;
import com.ruoyi.qdtl.domain.PlanUser;
import com.ruoyi.qdtl.domain.TlInspectionPlan;

import java.util.List;

/**
 * 巡检计划管理Service接口
 *
 * @author ruoyi
 * @date 2022-03-03
 */
public interface ITlInspectionPlanService {
    /**
     * 查询巡检计划管理
     *
     * @param id 巡检计划管理主键
     * @return 巡检计划管理
     */
    public TlInspectionPlan selectTlInspectionPlanById(Long id);

    /**
     * 查询巡检计划管理列表
     *
     * @param tlInspectionPlan 巡检计划管理
     * @return 巡检计划管理集合
     */
    public List<TlInspectionPlan> selectTlInspectionPlanList(TlInspectionPlan tlInspectionPlan);

    /**
     * 新增巡检计划管理
     *
     * @param tlInspectionPlan 巡检计划管理
     * @return 结果
     */
    public int insertTlInspectionPlan(TlInspectionPlan tlInspectionPlan);

    /**
     * 修改巡检计划管理
     *
     * @param tlInspectionPlan 巡检计划管理
     * @return 结果
     */
    public int updateTlInspectionPlan(TlInspectionPlan tlInspectionPlan);

    /**
     * 批量删除巡检计划管理
     *
     * @param ids 需要删除的巡检计划管理主键集合
     * @return 结果
     */
    public int deleteTlInspectionPlanByIds(Long[] ids);

    /**
     * 删除巡检计划管理信息
     *
     * @param id 巡检计划管理主键
     * @return 结果
     */
    public int deleteTlInspectionPlanById(Long id);

    List<TlInspectionPlan> queryPlanByDate(String queryDate);

    List<PlanUser> queryPlanUser(Long id);

    List<PlanSchedule> getSchedule(String nickName, String startDate, String endDate);
}
