package com.ruoyi.qdtl.service;

import com.ruoyi.qdtl.domain.TlInspectionPlanUser;

import java.util.List;

/**
 * 巡检计划人员关系Service接口
 *
 * @author ruoyi
 * @date 2022-03-03
 */
public interface ITlInspectionPlanUserService {
    /**
     * 查询巡检计划人员关系
     *
     * @param id 巡检计划人员关系主键
     * @return 巡检计划人员关系
     */
    public TlInspectionPlanUser selectTlInspectionPlanUserById(Long id);

    /**
     * 查询巡检计划人员关系列表
     *
     * @param tlInspectionPlanUser 巡检计划人员关系
     * @return 巡检计划人员关系集合
     */
    public List<TlInspectionPlanUser> selectTlInspectionPlanUserList(TlInspectionPlanUser tlInspectionPlanUser);

    /**
     * 新增巡检计划人员关系
     *
     * @param tlInspectionPlanUser 巡检计划人员关系
     * @return 结果
     */
    public int insertTlInspectionPlanUser(TlInspectionPlanUser tlInspectionPlanUser);

    /**
     * 修改巡检计划人员关系
     *
     * @param tlInspectionPlanUser 巡检计划人员关系
     * @return 结果
     */
    public int updateTlInspectionPlanUser(TlInspectionPlanUser tlInspectionPlanUser);

    /**
     * 批量删除巡检计划人员关系
     *
     * @param ids 需要删除的巡检计划人员关系主键集合
     * @return 结果
     */
    public int deleteTlInspectionPlanUserByIds(Long[] ids);

    /**
     * 删除巡检计划人员关系信息
     *
     * @param id 巡检计划人员关系主键
     * @return 结果
     */
    public int deleteTlInspectionPlanUserById(Long id);

    void batchInsert(List<TlInspectionPlanUser> planUsers);

    void deletePlanUser(Long id);

    List<TlInspectionPlanUser> queryUserByPlanIds(List<Long> idCollect);

    int deleteTlInspectionPlanUserByPlanIds(Long[] ids);
}
