package com.ruoyi.qdtl.service;

import com.ruoyi.qdtl.domain.MonitorStatic;
import com.ruoyi.qdtl.domain.TlMonitor;

import java.util.List;
import java.util.Map;

/**
 * 监控设备管理Service接口
 *
 * @author ruoyi
 * @date 2022-03-02
 */
public interface ITlMonitorService {
    /**
     * 查询监控设备管理
     *
     * @param id 监控设备管理主键
     * @return 监控设备管理
     */
    public TlMonitor selectTlMonitorById(Long id);

    /**
     * 查询监控设备管理列表
     *
     * @param tlMonitor 监控设备管理
     * @return 监控设备管理集合
     */
    public List<TlMonitor> selectTlMonitorList(TlMonitor tlMonitor);

    /**
     * 新增监控设备管理
     *
     * @param tlMonitor 监控设备管理
     * @return 结果
     */
    public int insertTlMonitor(TlMonitor tlMonitor);

    /**
     * 修改监控设备管理
     *
     * @param tlMonitor 监控设备管理
     * @return 结果
     */
    public int updateTlMonitor(TlMonitor tlMonitor);

    /**
     * 批量删除监控设备管理
     *
     * @param ids 需要删除的监控设备管理主键集合
     * @return 结果
     */
    public int deleteTlMonitorByIds(Long[] ids);

    /**
     * 删除监控设备管理信息
     *
     * @param id 监控设备管理主键
     * @return 结果
     */
    public int deleteTlMonitorById(Long id);

    List<MonitorStatic> queryMonitorStatic();

    int updateTlMonitorName(TlMonitor tlMonitor);

    Map<String, String> queryCamera();
}
