package com.ruoyi.qdtl.service;

import com.ruoyi.qdtl.domain.PatromanStatic;
import com.ruoyi.qdtl.domain.TlPatrolman;

import java.util.List;

/**
 * 巡检员Service接口
 *
 * @author ruoyi
 * @date 2022-03-25
 */
public interface ITlPatrolmanService {
    /**
     * 查询巡检员
     *
     * @param id 巡检员主键
     * @return 巡检员
     */
    public TlPatrolman selectTlPatrolmanById(Long id);

    /**
     * 查询巡检员列表
     *
     * @param tlPatrolman 巡检员
     * @return 巡检员集合
     */
    public List<TlPatrolman> selectTlPatrolmanList(TlPatrolman tlPatrolman);

    /**
     * 新增巡检员
     *
     * @param tlPatrolman 巡检员
     * @return 结果
     */
    public int insertTlPatrolman(TlPatrolman tlPatrolman);

    /**
     * 修改巡检员
     *
     * @param tlPatrolman 巡检员
     * @return 结果
     */
    public int updateTlPatrolman(TlPatrolman tlPatrolman);

    /**
     * 批量删除巡检员
     *
     * @param ids 需要删除的巡检员主键集合
     * @return 结果
     */
    public int deleteTlPatrolmanByIds(Long[] ids);

    /**
     * 删除巡检员信息
     *
     * @param id 巡检员主键
     * @return 结果
     */
    public int deleteTlPatrolmanById(Long id);

    int queryMaxVsersion();

    TlPatrolman queryByThirdId(String thirdId);

    void deletePatrolmanByVersion(int version);

    List<PatromanStatic> getPatrolmanStatic(String cards);
}
