package com.ruoyi.qdtl.service;

import com.ruoyi.qdtl.domain.AreaCheckInfoStatic;
import com.ruoyi.qdtl.domain.TlPlanRecord;

import java.util.List;
import java.util.Map;

/**
 * 巡检计划记录Service接口
 *
 * @author ruoyi
 * @date 2022-03-30
 */
public interface ITlPlanRecordService {
    /**
     * 查询巡检计划记录
     *
     * @param id 巡检计划记录主键
     * @return 巡检计划记录
     */
    public TlPlanRecord selectTlPlanRecordById(Long id);

    /**
     * 查询巡检计划记录列表
     *
     * @param tlPlanRecord 巡检计划记录
     * @return 巡检计划记录集合
     */
    public List<TlPlanRecord> selectTlPlanRecordList(TlPlanRecord tlPlanRecord);

    /**
     * 新增巡检计划记录
     *
     * @param tlPlanRecord 巡检计划记录
     * @return 结果
     */
    public int insertTlPlanRecord(TlPlanRecord tlPlanRecord);

    /**
     * 修改巡检计划记录
     *
     * @param tlPlanRecord 巡检计划记录
     * @return 结果
     */
    public int updateTlPlanRecord(TlPlanRecord tlPlanRecord);

    /**
     * 批量删除巡检计划记录
     *
     * @param ids 需要删除的巡检计划记录主键集合
     * @return 结果
     */
    public int deleteTlPlanRecordByIds(Long[] ids);

    /**
     * 删除巡检计划记录信息
     *
     * @param id 巡检计划记录主键
     * @return 结果
     */
    public int deleteTlPlanRecordById(Long id);

    void batchInsert(List<TlPlanRecord> planRecords);

    void updateRecordByDateAndCard(TlPlanRecord tlPlanRecord);

    Map<String, Object> queryCheckPercent(String date);

    List<AreaCheckInfoStatic> queryCheckInfo(String startDate, String endDate);
}
