package com.ruoyi.qdtl.service;

import java.util.List;
import com.ruoyi.qdtl.domain.TlPlan;

/**
 * 应急预案管理Service接口
 * 
 * @author ruoyi
 * @date 2022-08-09
 */
public interface ITlPlanService 
{
    /**
     * 查询应急预案管理
     * 
     * @param id 应急预案管理主键
     * @return 应急预案管理
     */
    public TlPlan selectTlPlanById(Long id);

    /**
     * 查询应急预案管理列表
     * 
     * @param tlPlan 应急预案管理
     * @return 应急预案管理集合
     */
    public List<TlPlan> selectTlPlanList(TlPlan tlPlan);

    /**
     * 新增应急预案管理
     * 
     * @param tlPlan 应急预案管理
     * @return 结果
     */
    public int insertTlPlan(TlPlan tlPlan);

    /**
     * 修改应急预案管理
     * 
     * @param tlPlan 应急预案管理
     * @return 结果
     */
    public int updateTlPlan(TlPlan tlPlan);

    /**
     * 批量删除应急预案管理
     * 
     * @param ids 需要删除的应急预案管理主键集合
     * @return 结果
     */
    public int deleteTlPlanByIds(Long[] ids);

    /**
     * 删除应急预案管理信息
     * 
     * @param id 应急预案管理主键
     * @return 结果
     */
    public int deleteTlPlanById(Long id);
}
