package com.ruoyi.qdtl.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.qdtl.domain.TlDocument;
import com.ruoyi.qdtl.mapper.TlDocumentMapper;
import com.ruoyi.qdtl.service.ITlDocumentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 公文管理Service业务层处理
 *
 * @author ruoyi
 * @date 2022-05-06
 */
@Service
public class TlDocumentServiceImpl implements ITlDocumentService {
    @Autowired
    private TlDocumentMapper tlDocumentMapper;

    /**
     * 查询公文管理
     *
     * @param id 公文管理主键
     * @return 公文管理
     */
    @Override
    public TlDocument selectTlDocumentById(Long id) {
        return tlDocumentMapper.selectTlDocumentById(id);
    }

    /**
     * 查询公文管理列表
     *
     * @param tlDocument 公文管理
     * @return 公文管理
     */
    @Override
    public List<TlDocument> selectTlDocumentList(TlDocument tlDocument) {
        return tlDocumentMapper.selectTlDocumentList(tlDocument);
    }

    /**
     * 新增公文管理
     *
     * @param tlDocument 公文管理
     * @return 结果
     */
    @Override
    public Long insertTlDocument(TlDocument tlDocument) {
        tlDocument.setCreateTime(DateUtils.getNowDate());
        tlDocumentMapper.insertTlDocument(tlDocument);
        return tlDocument.getId();
    }

    /**
     * 修改公文管理
     *
     * @param tlDocument 公文管理
     * @return 结果
     */
    @Override
    public int updateTlDocument(TlDocument tlDocument) {
        return tlDocumentMapper.updateTlDocument(tlDocument);
    }

    /**
     * 批量删除公文管理
     *
     * @param ids 需要删除的公文管理主键
     * @return 结果
     */
    @Override
    public int deleteTlDocumentByIds(Long[] ids) {
        return tlDocumentMapper.deleteTlDocumentByIds(ids);
    }

    /**
     * 删除公文管理信息
     *
     * @param id 公文管理主键
     * @return 结果
     */
    @Override
    public int deleteTlDocumentById(Long id) {
        return tlDocumentMapper.deleteTlDocumentById(id);
    }
}
