package com.ruoyi.qdtl.service.impl;

import com.ruoyi.qdtl.domain.TlElectricCarMileage;
import com.ruoyi.qdtl.mapper.TlElectricCarMileageMapper;
import com.ruoyi.qdtl.service.ITlElectricCarMileageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 电动车里程统计（每日）Service业务层处理
 *
 * @author ruoyi
 * @date 2022-07-04
 */
@Service
public class TlElectricCarMileageServiceImpl implements ITlElectricCarMileageService {
    @Autowired
    private TlElectricCarMileageMapper tlElectricCarMileageMapper;

    /**
     * 查询电动车里程统计（每日）
     *
     * @param id 电动车里程统计（每日）主键
     * @return 电动车里程统计（每日）
     */
    @Override
    public TlElectricCarMileage selectTlElectricCarMileageById(Long id) {
        return tlElectricCarMileageMapper.selectTlElectricCarMileageById(id);
    }

    /**
     * 查询电动车里程统计（每日）列表
     *
     * @param tlElectricCarMileage 电动车里程统计（每日）
     * @return 电动车里程统计（每日）
     */
    @Override
    public List<TlElectricCarMileage> selectTlElectricCarMileageList(TlElectricCarMileage tlElectricCarMileage) {
        return tlElectricCarMileageMapper.selectTlElectricCarMileageList(tlElectricCarMileage);
    }

    /**
     * 新增电动车里程统计（每日）
     *
     * @param tlElectricCarMileage 电动车里程统计（每日）
     * @return 结果
     */
    @Override
    public int insertTlElectricCarMileage(TlElectricCarMileage tlElectricCarMileage) {
        return tlElectricCarMileageMapper.insertTlElectricCarMileage(tlElectricCarMileage);
    }

    /**
     * 修改电动车里程统计（每日）
     *
     * @param tlElectricCarMileage 电动车里程统计（每日）
     * @return 结果
     */
    @Override
    public int updateTlElectricCarMileage(TlElectricCarMileage tlElectricCarMileage) {
        return tlElectricCarMileageMapper.updateTlElectricCarMileage(tlElectricCarMileage);
    }

    /**
     * 批量删除电动车里程统计（每日）
     *
     * @param ids 需要删除的电动车里程统计（每日）主键
     * @return 结果
     */
    @Override
    public int deleteTlElectricCarMileageByIds(Long[] ids) {
        return tlElectricCarMileageMapper.deleteTlElectricCarMileageByIds(ids);
    }

    /**
     * 删除电动车里程统计（每日）信息
     *
     * @param id 电动车里程统计（每日）主键
     * @return 结果
     */
    @Override
    public int deleteTlElectricCarMileageById(Long id) {
        return tlElectricCarMileageMapper.deleteTlElectricCarMileageById(id);
    }

    @Override
    public List<TlElectricCarMileage> queryPeriodDate(String startDate, String endDate) {
        return tlElectricCarMileageMapper.queryPeriodDate(startDate, endDate);
    }
}
