package com.ruoyi.qdtl.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.qdtl.mapper.TlIncidentFaultMapper;
import com.ruoyi.qdtl.domain.TlIncidentFault;
import com.ruoyi.qdtl.service.ITlIncidentFaultService;

/**
 * 应急故障事件管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-08-09
 */
@Service
public class TlIncidentFaultServiceImpl implements ITlIncidentFaultService 
{
    @Autowired
    private TlIncidentFaultMapper tlIncidentFaultMapper;

    /**
     * 查询应急故障事件管理
     * 
     * @param id 应急故障事件管理主键
     * @return 应急故障事件管理
     */
    @Override
    public TlIncidentFault selectTlIncidentFaultById(Long id)
    {
        return tlIncidentFaultMapper.selectTlIncidentFaultById(id);
    }

    /**
     * 查询应急故障事件管理列表
     * 
     * @param tlIncidentFault 应急故障事件管理
     * @return 应急故障事件管理
     */
    @Override
    public List<TlIncidentFault> selectTlIncidentFaultList(TlIncidentFault tlIncidentFault)
    {
        return tlIncidentFaultMapper.selectTlIncidentFaultList(tlIncidentFault);
    }

    /**
     * 新增应急故障事件管理
     * 
     * @param tlIncidentFault 应急故障事件管理
     * @return 结果
     */
    @Override
    public int insertTlIncidentFault(TlIncidentFault tlIncidentFault)
    {
        tlIncidentFault.setCreateTime(DateUtils.getNowDate());
        return tlIncidentFaultMapper.insertTlIncidentFault(tlIncidentFault);
    }

    /**
     * 修改应急故障事件管理
     * 
     * @param tlIncidentFault 应急故障事件管理
     * @return 结果
     */
    @Override
    public int updateTlIncidentFault(TlIncidentFault tlIncidentFault)
    {
        tlIncidentFault.setUpdateTime(DateUtils.getNowDate());
        return tlIncidentFaultMapper.updateTlIncidentFault(tlIncidentFault);
    }

    /**
     * 批量删除应急故障事件管理
     * 
     * @param ids 需要删除的应急故障事件管理主键
     * @return 结果
     */
    @Override
    public int deleteTlIncidentFaultByIds(Long[] ids)
    {
        return tlIncidentFaultMapper.deleteTlIncidentFaultByIds(ids);
    }

    /**
     * 删除应急故障事件管理信息
     * 
     * @param id 应急故障事件管理主键
     * @return 结果
     */
    @Override
    public int deleteTlIncidentFaultById(Long id)
    {
        return tlIncidentFaultMapper.deleteTlIncidentFaultById(id);
    }
}
