package com.ruoyi.qdtl.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.qdtl.mapper.TlIncidentMapper;
import com.ruoyi.qdtl.domain.TlIncident;
import com.ruoyi.qdtl.service.ITlIncidentService;

/**
 * 巡检事件管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-08-09
 */
@Service
public class TlIncidentServiceImpl implements ITlIncidentService 
{
    @Autowired
    private TlIncidentMapper tlIncidentMapper;

    /**
     * 查询巡检事件管理
     * 
     * @param id 巡检事件管理主键
     * @return 巡检事件管理
     */
    @Override
    public TlIncident selectTlIncidentById(Long id)
    {
        return tlIncidentMapper.selectTlIncidentById(id);
    }

    /**
     * 查询巡检事件管理列表
     * 
     * @param tlIncident 巡检事件管理
     * @return 巡检事件管理
     */
    @Override
    public List<TlIncident> selectTlIncidentList(TlIncident tlIncident)
    {
        return tlIncidentMapper.selectTlIncidentList(tlIncident);
    }

    /**
     * 新增巡检事件管理
     * 
     * @param tlIncident 巡检事件管理
     * @return 结果
     */
    @Override
    public int insertTlIncident(TlIncident tlIncident)
    {
        return tlIncidentMapper.insertTlIncident(tlIncident);
    }

    /**
     * 修改巡检事件管理
     * 
     * @param tlIncident 巡检事件管理
     * @return 结果
     */
    @Override
    public int updateTlIncident(TlIncident tlIncident)
    {
        return tlIncidentMapper.updateTlIncident(tlIncident);
    }

    /**
     * 批量删除巡检事件管理
     * 
     * @param ids 需要删除的巡检事件管理主键
     * @return 结果
     */
    @Override
    public int deleteTlIncidentByIds(Long[] ids)
    {
        return tlIncidentMapper.deleteTlIncidentByIds(ids);
    }

    /**
     * 删除巡检事件管理信息
     * 
     * @param id 巡检事件管理主键
     * @return 结果
     */
    @Override
    public int deleteTlIncidentById(Long id)
    {
        return tlIncidentMapper.deleteTlIncidentById(id);
    }
}
