package com.ruoyi.qdtl.service.impl;

import com.ruoyi.qdtl.domain.TlInspectionLineLocation;
import com.ruoyi.qdtl.mapper.TlInspectionLineLocationMapper;
import com.ruoyi.qdtl.service.ITlInspectionLineLocationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 巡检线路点位Service业务层处理
 *
 * @author ruoyi
 * @date 2022-03-03
 */
@Service
public class TlInspectionLineLocationServiceImpl implements ITlInspectionLineLocationService {
    @Autowired
    private TlInspectionLineLocationMapper tlInspectionLineLocationMapper;

    /**
     * 查询巡检线路点位
     *
     * @param id 巡检线路点位主键
     * @return 巡检线路点位
     */
    @Override
    public TlInspectionLineLocation selectTlInspectionLineLocationById(Long id) {
        return tlInspectionLineLocationMapper.selectTlInspectionLineLocationById(id);
    }

    /**
     * 查询巡检线路点位列表
     *
     * @param tlInspectionLineLocation 巡检线路点位
     * @return 巡检线路点位
     */
    @Override
    public List<TlInspectionLineLocation> selectTlInspectionLineLocationList(TlInspectionLineLocation tlInspectionLineLocation) {
        return tlInspectionLineLocationMapper.selectTlInspectionLineLocationList(tlInspectionLineLocation);
    }

    /**
     * 新增巡检线路点位
     *
     * @param tlInspectionLineLocation 巡检线路点位
     * @return 结果
     */
    @Override
    public int insertTlInspectionLineLocation(TlInspectionLineLocation tlInspectionLineLocation) {
        return tlInspectionLineLocationMapper.insertTlInspectionLineLocation(tlInspectionLineLocation);
    }

    /**
     * 修改巡检线路点位
     *
     * @param tlInspectionLineLocation 巡检线路点位
     * @return 结果
     */
    @Override
    public int updateTlInspectionLineLocation(TlInspectionLineLocation tlInspectionLineLocation) {
        return tlInspectionLineLocationMapper.updateTlInspectionLineLocation(tlInspectionLineLocation);
    }

    /**
     * 批量删除巡检线路点位
     *
     * @param ids 需要删除的巡检线路点位主键
     * @return 结果
     */
    @Override
    public int deleteTlInspectionLineLocationByIds(Long[] ids) {
        return tlInspectionLineLocationMapper.deleteTlInspectionLineLocationByIds(ids);
    }

    /**
     * 删除巡检线路点位信息
     *
     * @param id 巡检线路点位主键
     * @return 结果
     */
    @Override
    public int deleteTlInspectionLineLocationById(Long id) {
        return tlInspectionLineLocationMapper.deleteTlInspectionLineLocationById(id);
    }

    @Override
    public void batchInsert(List<TlInspectionLineLocation> lineLocations) {
        tlInspectionLineLocationMapper.batchInsert(lineLocations);
    }

    @Override
    public void deleteLineLocation(Long lineId) {
        tlInspectionLineLocationMapper.deleteLineLocation(lineId);
    }

    @Override
    public List<Long> queryLocationId(Long lineId) {
        return tlInspectionLineLocationMapper.queryLocationId(lineId);
    }
}
