package com.ruoyi.qdtl.service.impl;

import com.ruoyi.qdtl.domain.TlInspectionPlanUser;
import com.ruoyi.qdtl.mapper.TlInspectionPlanUserMapper;
import com.ruoyi.qdtl.service.ITlInspectionPlanUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 巡检计划人员关系Service业务层处理
 *
 * @author ruoyi
 * @date 2022-03-03
 */
@Service
public class TlInspectionPlanUserServiceImpl implements ITlInspectionPlanUserService {
    @Autowired
    private TlInspectionPlanUserMapper tlInspectionPlanUserMapper;

    /**
     * 查询巡检计划人员关系
     *
     * @param id 巡检计划人员关系主键
     * @return 巡检计划人员关系
     */
    @Override
    public TlInspectionPlanUser selectTlInspectionPlanUserById(Long id) {
        return tlInspectionPlanUserMapper.selectTlInspectionPlanUserById(id);
    }

    /**
     * 查询巡检计划人员关系列表
     *
     * @param tlInspectionPlanUser 巡检计划人员关系
     * @return 巡检计划人员关系
     */
    @Override
    public List<TlInspectionPlanUser> selectTlInspectionPlanUserList(TlInspectionPlanUser tlInspectionPlanUser) {
        return tlInspectionPlanUserMapper.selectTlInspectionPlanUserList(tlInspectionPlanUser);
    }

    /**
     * 新增巡检计划人员关系
     *
     * @param tlInspectionPlanUser 巡检计划人员关系
     * @return 结果
     */
    @Override
    public int insertTlInspectionPlanUser(TlInspectionPlanUser tlInspectionPlanUser) {
        return tlInspectionPlanUserMapper.insertTlInspectionPlanUser(tlInspectionPlanUser);
    }

    /**
     * 修改巡检计划人员关系
     *
     * @param tlInspectionPlanUser 巡检计划人员关系
     * @return 结果
     */
    @Override
    public int updateTlInspectionPlanUser(TlInspectionPlanUser tlInspectionPlanUser) {
        return tlInspectionPlanUserMapper.updateTlInspectionPlanUser(tlInspectionPlanUser);
    }

    /**
     * 批量删除巡检计划人员关系
     *
     * @param ids 需要删除的巡检计划人员关系主键
     * @return 结果
     */
    @Override
    public int deleteTlInspectionPlanUserByIds(Long[] ids) {
        return tlInspectionPlanUserMapper.deleteTlInspectionPlanUserByIds(ids);
    }

    /**
     * 删除巡检计划人员关系信息
     *
     * @param id 巡检计划人员关系主键
     * @return 结果
     */
    @Override
    public int deleteTlInspectionPlanUserById(Long id) {
        return tlInspectionPlanUserMapper.deleteTlInspectionPlanUserById(id);
    }

    @Override
    public void batchInsert(List<TlInspectionPlanUser> planUsers) {
        tlInspectionPlanUserMapper.batchInsert(planUsers);
    }

    @Override
    public void deletePlanUser(Long id) {
        tlInspectionPlanUserMapper.deletePlanUser(id);
    }

    @Override
    public List<TlInspectionPlanUser> queryUserByPlanIds(List<Long> idCollect) {
        return tlInspectionPlanUserMapper.queryUserByPlanIds(idCollect);
    }

    @Override
    public int deleteTlInspectionPlanUserByPlanIds(Long[] ids) {
        return tlInspectionPlanUserMapper.deleteTlInspectionPlanUserByPlanIds(ids);
    }

}
