package com.ruoyi.qdtl.service.impl;

import cn.hutool.core.util.StrUtil;
import com.ruoyi.qdtl.domain.PatromanStatic;
import com.ruoyi.qdtl.domain.TlPatrolman;
import com.ruoyi.qdtl.mapper.TlPatrolmanMapper;
import com.ruoyi.qdtl.service.ITlPatrolmanService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 巡检员Service业务层处理
 *
 * @author ruoyi
 * @date 2022-03-25
 */
@Service
public class TlPatrolmanServiceImpl implements ITlPatrolmanService {
    @Autowired
    private TlPatrolmanMapper tlPatrolmanMapper;

    /**
     * 查询巡检员
     *
     * @param id 巡检员主键
     * @return 巡检员
     */
    @Override
    public TlPatrolman selectTlPatrolmanById(Long id) {
        return tlPatrolmanMapper.selectTlPatrolmanById(id);
    }

    /**
     * 查询巡检员列表
     *
     * @param tlPatrolman 巡检员
     * @return 巡检员
     */
    @Override
    public List<TlPatrolman> selectTlPatrolmanList(TlPatrolman tlPatrolman) {
        return tlPatrolmanMapper.selectTlPatrolmanList(tlPatrolman);
    }

    /**
     * 新增巡检员
     *
     * @param tlPatrolman 巡检员
     * @return 结果
     */
    @Override
    public int insertTlPatrolman(TlPatrolman tlPatrolman) {
        return tlPatrolmanMapper.insertTlPatrolman(tlPatrolman);
    }

    /**
     * 修改巡检员
     *
     * @param tlPatrolman 巡检员
     * @return 结果
     */
    @Override
    public int updateTlPatrolman(TlPatrolman tlPatrolman) {
        return tlPatrolmanMapper.updateTlPatrolman(tlPatrolman);
    }

    /**
     * 批量删除巡检员
     *
     * @param ids 需要删除的巡检员主键
     * @return 结果
     */
    @Override
    public int deleteTlPatrolmanByIds(Long[] ids) {
        return tlPatrolmanMapper.deleteTlPatrolmanByIds(ids);
    }

    /**
     * 删除巡检员信息
     *
     * @param id 巡检员主键
     * @return 结果
     */
    @Override
    public int deleteTlPatrolmanById(Long id) {
        return tlPatrolmanMapper.deleteTlPatrolmanById(id);
    }

    @Override
    public int queryMaxVsersion() {
        return tlPatrolmanMapper.queryMaxVsersion();
    }

    @Override
    public TlPatrolman queryByThirdId(String thirdId) {
        return tlPatrolmanMapper.queryByThirdId(thirdId);
    }

    @Override
    public void deletePatrolmanByVersion(int version) {
        tlPatrolmanMapper.deletePatrolmanByVersion(version);
    }

    @Override
    public List<PatromanStatic> getPatrolmanStatic(String cards) {
        List<TlPatrolman> list = tlPatrolmanMapper.selectPatrolmanList(StrUtil.split(cards, ","));
        // 查询所有的计划
        for (TlPatrolman tlPatrolman : list) {
            // 查询每一个巡检员的数据

        }
        return null;
    }
}
