package com.ruoyi.qdtl.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.qdtl.mapper.TlPlanMapper;
import com.ruoyi.qdtl.domain.TlPlan;
import com.ruoyi.qdtl.service.ITlPlanService;

/**
 * 应急预案管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-08-09
 */
@Service
public class TlPlanServiceImpl implements ITlPlanService 
{
    @Autowired
    private TlPlanMapper tlPlanMapper;

    /**
     * 查询应急预案管理
     * 
     * @param id 应急预案管理主键
     * @return 应急预案管理
     */
    @Override
    public TlPlan selectTlPlanById(Long id)
    {
        return tlPlanMapper.selectTlPlanById(id);
    }

    /**
     * 查询应急预案管理列表
     * 
     * @param tlPlan 应急预案管理
     * @return 应急预案管理
     */
    @Override
    public List<TlPlan> selectTlPlanList(TlPlan tlPlan)
    {
        return tlPlanMapper.selectTlPlanList(tlPlan);
    }

    /**
     * 新增应急预案管理
     * 
     * @param tlPlan 应急预案管理
     * @return 结果
     */
    @Override
    public int insertTlPlan(TlPlan tlPlan)
    {
        tlPlan.setCreateTime(DateUtils.getNowDate());
        return tlPlanMapper.insertTlPlan(tlPlan);
    }

    /**
     * 修改应急预案管理
     * 
     * @param tlPlan 应急预案管理
     * @return 结果
     */
    @Override
    public int updateTlPlan(TlPlan tlPlan)
    {
        tlPlan.setUpdateTime(DateUtils.getNowDate());
        return tlPlanMapper.updateTlPlan(tlPlan);
    }

    /**
     * 批量删除应急预案管理
     * 
     * @param ids 需要删除的应急预案管理主键
     * @return 结果
     */
    @Override
    public int deleteTlPlanByIds(Long[] ids)
    {
        return tlPlanMapper.deleteTlPlanByIds(ids);
    }

    /**
     * 删除应急预案管理信息
     * 
     * @param id 应急预案管理主键
     * @return 结果
     */
    @Override
    public int deleteTlPlanById(Long id)
    {
        return tlPlanMapper.deleteTlPlanById(id);
    }
}
