package com.ruoyi.qdtl.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.qdtl.mapper.TlPlanTempMapper;
import com.ruoyi.qdtl.domain.TlPlanTemp;
import com.ruoyi.qdtl.service.ITlPlanTempService;

/**
 * 巡检计划管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-04-21
 */
@Service
public class TlPlanTempServiceImpl implements ITlPlanTempService 
{
    @Autowired
    private TlPlanTempMapper tlPlanTempMapper;

    /**
     * 查询巡检计划管理
     * 
     * @param id 巡检计划管理主键
     * @return 巡检计划管理
     */
    @Override
    public TlPlanTemp selectTlPlanTempById(Long id)
    {
        return tlPlanTempMapper.selectTlPlanTempById(id);
    }

    /**
     * 查询巡检计划管理列表
     * 
     * @param tlPlanTemp 巡检计划管理
     * @return 巡检计划管理
     */
    @Override
    public List<TlPlanTemp> selectTlPlanTempList(TlPlanTemp tlPlanTemp)
    {
        return tlPlanTempMapper.selectTlPlanTempList(tlPlanTemp);
    }

    /**
     * 新增巡检计划管理
     * 
     * @param tlPlanTemp 巡检计划管理
     * @return 结果
     */
    @Override
    public int insertTlPlanTemp(TlPlanTemp tlPlanTemp)
    {
        tlPlanTemp.setCreateTime(DateUtils.getNowDate());
        return tlPlanTempMapper.insertTlPlanTemp(tlPlanTemp);
    }

    /**
     * 修改巡检计划管理
     * 
     * @param tlPlanTemp 巡检计划管理
     * @return 结果
     */
    @Override
    public int updateTlPlanTemp(TlPlanTemp tlPlanTemp)
    {
        return tlPlanTempMapper.updateTlPlanTemp(tlPlanTemp);
    }

    /**
     * 批量删除巡检计划管理
     * 
     * @param ids 需要删除的巡检计划管理主键
     * @return 结果
     */
    @Override
    public int deleteTlPlanTempByIds(Long[] ids)
    {
        return tlPlanTempMapper.deleteTlPlanTempByIds(ids);
    }

    /**
     * 删除巡检计划管理信息
     * 
     * @param id 巡检计划管理主键
     * @return 结果
     */
    @Override
    public int deleteTlPlanTempById(Long id)
    {
        return tlPlanTempMapper.deleteTlPlanTempById(id);
    }
}
