package com.ruoyi.qdtl.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.qdtl.domain.TlWorkPic;
import com.ruoyi.qdtl.mapper.TlWorkPicMapper;
import com.ruoyi.qdtl.service.ITlWorkPicService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 工作面貌图片管理Service业务层处理
 *
 * @author ruoyi
 * @date 2022-08-09
 */
@Service
public class TlWorkPicServiceImpl implements ITlWorkPicService {
    @Autowired
    private TlWorkPicMapper tlWorkPicMapper;

    /**
     * 查询工作面貌图片管理
     *
     * @param id 工作面貌图片管理主键
     * @return 工作面貌图片管理
     */
    @Override
    public TlWorkPic selectTlWorkPicById(Long id) {
        return tlWorkPicMapper.selectTlWorkPicById(id);
    }

    /**
     * 查询工作面貌图片管理列表
     *
     * @param tlWorkPic 工作面貌图片管理
     * @return 工作面貌图片管理
     */
    @Override
    public List<TlWorkPic> selectTlWorkPicList(TlWorkPic tlWorkPic) {
        return tlWorkPicMapper.selectTlWorkPicList(tlWorkPic);
    }

    /**
     * 新增工作面貌图片管理
     *
     * @param tlWorkPic 工作面貌图片管理
     * @return 结果
     */
    @Override
    public int insertTlWorkPic(TlWorkPic tlWorkPic) {
        tlWorkPic.setCreateTime(DateUtils.getNowDate());
        // 查找最小的序号
        int minSortNo = tlWorkPicMapper.selectMInSortNo();
        if (minSortNo == 0) {
            minSortNo = 10000;
        }
        tlWorkPic.setSortNo(minSortNo - 1);
        return tlWorkPicMapper.insertTlWorkPic(tlWorkPic);
    }

    /**
     * 修改工作面貌图片管理
     *
     * @param tlWorkPic 工作面貌图片管理
     * @return 结果
     */
    @Override
    public int updateTlWorkPic(TlWorkPic tlWorkPic) {
        tlWorkPic.setUpdateTime(DateUtils.getNowDate());
        return tlWorkPicMapper.updateTlWorkPic(tlWorkPic);
    }

    /**
     * 批量删除工作面貌图片管理
     *
     * @param ids 需要删除的工作面貌图片管理主键
     * @return 结果
     */
    @Override
    public int deleteTlWorkPicByIds(Long[] ids) {
        return tlWorkPicMapper.deleteTlWorkPicByIds(ids);
    }

    /**
     * 删除工作面貌图片管理信息
     *
     * @param id 工作面貌图片管理主键
     * @return 结果
     */
    @Override
    public int deleteTlWorkPicById(Long id) {
        return tlWorkPicMapper.deleteTlWorkPicById(id);
    }

    @Override
    public int changeSortNo(Long idOne, Long idTwo) {
        // 查询2条数据
        TlWorkPic picOne = tlWorkPicMapper.selectTlWorkPicById(idOne);
        TlWorkPic picTwo = tlWorkPicMapper.selectTlWorkPicById(idTwo);
        if (picOne == null || picTwo == null) {
            return 0;
        }
        int sortNoOne = picOne.getSortNo();
        int sortNoTwo = picTwo.getSortNo();
        picOne.setSortNo(sortNoTwo);
        picTwo.setSortNo(sortNoOne);
        tlWorkPicMapper.updateTlWorkPic(picOne);
        tlWorkPicMapper.updateTlWorkPic(picTwo);
        return 1;
    }
}
